package com.fos.modules.vipuser.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.fos.core.base.BaseEntity;
import com.fos.modules.myUserPre.entity.MyUserPreDrinkEntity;
import com.fos.modules.myUserPre.entity.MyUserPreDrinkTasteEntity;
import com.fos.modules.myUserPre.entity.MyUserPreFoodEntity;
import com.fos.modules.myUserPre.entity.MyUserPreFoodTasteEntity;

import java.util.List;

public class VipUserEntity extends BaseEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@JSONField(name="name")
	private String name;  //用户名
	
	
	@JSONField(name="nickName")
	private String nickName;	//昵称(唯一)
	
	@JSONField(serialize=false)
	private int status;   //状态（0未登录，1已登录）

	@JSONField(name="flightNo")
	private String flightNo;	//航班号

	@JSONField(name="arrive")
	private String arrive;	//目的地

	@JSONField(serialize = false)
	private int userId;

	@JSONField(name="userPreDrinkList")
	private List<MyUserPreDrinkEntity> userPreDrinkList;    //用户前3喜爱的喝的

	@JSONField(name="userPreDrinkTasteList")
	private List<MyUserPreDrinkTasteEntity> userPreDrinkTasteList;		//用户前3喜爱喝的口味

	@JSONField(name="userPreFoodList")
	private List<MyUserPreFoodEntity> userPreFoodList;       //用户前3喜爱食物

	@JSONField(name="userPreFoodTasteList")
	private List<MyUserPreFoodTasteEntity> userPreFoodTasteList;    //用户前3喜爱食物口味

	@JSONField(name="loginCount")
	private int loginCount;	//用户登陆次数
	
	public int getLoginCount() {
		return loginCount;
	}

	public void setLoginCount(int loginCount) {
		this.loginCount = loginCount;
	}

	public String getFlightNo() {
		return flightNo;
	}

	public void setFlightNo(String flightNo) {
		this.flightNo = flightNo;
	}

	public String getArrive() {
		return arrive;
	}

	public void setArrive(String arrive) {
		this.arrive = arrive;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getNickName() {
		return nickName;
	}

	public void setNickName(String nickName) {
		this.nickName = nickName;
	}

	public int getStatus() {
		return status;
	}

	public void setStatus(int status) {
		this.status = status;
	}

	public int getUserId() {
		return userId;
	}

	public void setUserId(int userId) {
		this.userId = userId;
	}

	public List<MyUserPreDrinkEntity> getUserPreDrinkList() {
		return userPreDrinkList;
	}

	public void setUserPreDrinkList(List<MyUserPreDrinkEntity> userPreDrinkList) {
		this.userPreDrinkList = userPreDrinkList;
	}

	public List<MyUserPreDrinkTasteEntity> getUserPreDrinkTasteList() {
		return userPreDrinkTasteList;
	}

	public void setUserPreDrinkTasteList(List<MyUserPreDrinkTasteEntity> userPreDrinkTasteList) {
		this.userPreDrinkTasteList = userPreDrinkTasteList;
	}

	public List<MyUserPreFoodEntity> getUserPreFoodList() {
		return userPreFoodList;
	}

	public void setUserPreFoodList(List<MyUserPreFoodEntity> userPreFoodList) {
		this.userPreFoodList = userPreFoodList;
	}

	public List<MyUserPreFoodTasteEntity> getUserPreFoodTasteList() {
		return userPreFoodTasteList;
	}

	public void setUserPreFoodTasteList(List<MyUserPreFoodTasteEntity> userPreFoodTasteList) {
		this.userPreFoodTasteList = userPreFoodTasteList;
	}
}
